#ifndef FuncOrdinary_H
#define FuncOrdinary_H

#include "FuncBase.h"
#include "spdlog/spdlog.h"

struct ListAlarmInfo;

class FuncOrdinary : public FuncBase
{
public:
    FuncOrdinary();
    ~FuncOrdinary();

    /* 任务线程 */
    void thread_task() override;

private:
    std::shared_ptr<spdlog::logger> m_logger = nullptr;

    ListAlarmInfo* m_listAlarm = nullptr;               /* 报警列表 */
};

#endif // FuncOrdinary_H
